.left margin
.ifnot hlp
.hl 1 FLAGS 
.x Flags 
.endif hlp
.if hlp.i-1;2 FLAGS
.br
.endif hlp
A flag is a character which performs some special action and does not
appear in the final document.  An example of a flag is the ampersand (_&).
It causes the next character to be underlined.  Each flag character can
be defined by the .FLAG command.  This command defines what the character does
and can optionally define which character does it.
.if hlp.i-1;3 EXAMPLE
.endif hlp
For example the following
command will redefine the double quotes as the underline flag.
.s.i5; .FLAGS UNDERLINE "
.s
After issuing this command any character preceeded by double quotes (")
will be underlined.  The ampersand will then be merely a simple printing
character.
The .NO FLAGS command disables the selected flag character.  It is then
a normal printable character.  If you issue a .FLAGS command with
a character specified which is already in use as a flag, RUNOFF will
reject the command and give you an error message.
.s
.LM +5 
.if hlp.i-6;3 ACCEPT
.endif hlp
.s.tp5.I -5; .FLAGS ACCEPT [new flag] 
.I -5; .FL ACCEPT [new flag] 
.S.INDEX FLAGS ACCEPT 
enables recognition of the underscore (__) to allow printing other 
characters that are reserved to flags.  This is normally enabled, but may 
be disabled by .NO FLAGS ACCEPT.  The underscore may be replaced by another 
character to use for this flag. 
.s 
.tp 5 
.i -5; .NO FLAGS ACCEPT 
.I -5; .NFL ACCEPT 
.S 
disables the use of (__) as an accept flag, so that it may be used as a normal 
character in the text. 
.if hlp;.i-6;3 ALL
.endif hlp
.s.tp5.i-5; .FLAGS ALL 
.I -5; .FL ALL 
.I -5; .FL 
.S.INDEX FLAGS ALL 
 turns on all flags that have been previously enabled.  This is analogous 
to a master switch which turns on all other switches. 
.s 
.tp 4 
.i -5; .NO FLAGS ALL 
.I -5; .NFL ALL 
.I -5; .NFL 
.S.INDEX NO FLAGS ALL 
 turns off all flags.  They can only be enabled again by .FLAGS ALL 
This will not turn off the CONTROL FLAG. 
.if hlp;.i-6;3 BREAK
.endif hlp
.s.TP 6;.I-5; .FLAGS BREAK [new flag] 
.I-5; .FL BREAK [new flag] 
.s.index FLAGS BREAK 
enables the break flag (|) or vertical bar.  This flag is used to mark where 
a word or expression may be broken.  The expression will only be broken there 
if it would otherwise exceed the right margin.  Normally this flag is not 
enabled. 
.s.tp4.i-5; .NO FLAGS BREAK 
.i-5; .NFL BREAK 
.s.index NO FLAGS BREAK 
disables the break flag. 
.if hlp;.i-6;3 CAPITALIZE
.endif hlp
.s.tp10.i-5; .FLAGS CAPITALIZE [new flag] 
.i-5; .FL CAPITALIZE [new flag] 
.s.index FLAGS CAPITALIZE 
enables the less-than (_<) character to capitalize the entire 
word it precedes. It then returns the file to the current case 
mode. This special character is usually off and must be typed 
at the very beginning of the source text 
to enable this character. 
 
Typing a space  returns the file to the 
current case lock. The flag command can be followed by a character to be used 
instead of the less-than (_<). 
(_^_<) may be used as a permanent shift to upper case only.  (_^_^) 
will then cancel this mode. 
.S.TP4.I-5; .NO FLAGS CAPITALIZE 
.I-5; .NFC 
.s.index NO FLAGS CAPITALIZE 
disengages the FLAG CAPITALIZE command (inital setting). 
.if hlp;.i-6;3 CONTROL
.endif hlp
.S.TP5.I -5; .FLAGS CONTROL [new flag] 
.i -5; .FL CONTROL [new flag] 
.S.index FLAGS CONTROL 
allows you to specify a new CONTROL flag.  Normally it is a period (.). 
This is the code which appears at the start of a line to signal a command. 
.s 
.tp 5 
.i -5; .NO FLAGS CONTROL 
.I -5; .NFL CONTROL 
.S 
disables recognition of the CONTROL flag.  Once this command has been issued 
you can no longer give any commands including .FLAGS CONTROL.  So this is 
a non reversable command. 
.if hlp;.i-6;3 ESCAPE
.endif hlp
.S.TP10.i -5; .FLAGS ESCAPE [escape flag] 
.I -5; .FL ESCAPE 
.S.INDEX FLAGS ESCAPE 
.S 
enables the escape sequence flags.  This allows you to issue special 
control codes (escape sequences) to the printer to perform a variety 
of functions.  In addition you must ENABLE ESCAPE to actually output the 
control codes. Normally the escape flag is disabled. 
The escape flag defines a flag symbol for the escape sequence.  Escape sequences 
can be defined for the circumflex (_^), back slash (_\), and an escape character 
of your choice.  To define escape sequences you must use .DEFINE ESCAPE. 
.s.tp5.i -5; .NO FLAGS ESCAPE 
.I -5; .NFL ESCAPE 
.S.INDEX NO FLAGS ESCAPE 
disables the recognition of the escape sequence flags.  This is the 
normal default. 
.bb
.if hlp;.i-6;3 EQUATION
.endif hlp
.s.tp5.i-5; .FLAGS EQUATION
.i-5; .FL EQUATION
.s.x FLAGS EQUATION
Turns on the equation formatting flags.  This sets the left and right braces
_{ _} as the flags to use in formatting equations.
.s.tp5.i-5; .NO FLAGS EQUATION
.i-5; .NFL EQUATION
.s.x NO FLAGS EQUATION
Turns off the equation flags.
.eb
.if hlp;.i-6;3 HYPHENATE
.endif hlp
.S.TP9.I -5; .FLAGS HYPHENATE [new flag] 
.I -5 ; .FL HYPHENATE [new flag] 
.S.INDEX FLAGS HYPHENATE 
.x Hyphenation
enables the equals character (=) to disengage hyphenization for the 
 
word it preceeds, or specify where rno may hyphenate inside a word. 
This special character is initially off and must 
be typed at the beginning of the source file to enable this character. 
The FLAGS HYPHENATE character is used to disengage hyphenization 
for words improperly hyphenated by the hyphenation algorithm. 
.S.TP4.I-5; .NO FLAGS HYPHENATE 
.I-5; .NFL HYPHENATE
.s;.index NO FLAGS HYPHENATE 
Disengages the FLAGS HYPHENATE command (initial setting). 
.if hlp;.i-6;3 OVERSTRIKE
.endif hlp
.s.tp6.i-5; .FLAGS OVERSTRIKE [new flag]
.i-5; .FL OVERSTRIKE [new flag]
.s.index FLAGS OVERSTRIKE 
enables the overstrike flag (_%).  This flag generates a backspace
so you may overstrike
the previous character.  This allows formation of composite characters 
to approximate scientific symbols or add diacritical marks for foreign 
languages. A different character other than % may be assigned to this flag. 
.S.TP5.i -5; .NO FLAGS OVERSTRIKE 
.I -5; .NFL OVERSTRIKE 
.S 
disables the overstrike flag (%).  This is the mode RUNOFF normally 
starts in, so if you wish to use this flag it must be enabled. 
.if hlp;.i-6;3 SPACE
.endif hlp
.S.TP8.i -5; .FLAGS SPACE [new flag] 
.I -5; .FL SPACE [new flag] 
.S.INDEX FLAGS SPACE 
 enables the number (_#) sign as a quoted non expandable space. 
Every time the _# appears in the text RUNOFF changes it to a space, but 
only 1 space even if FILL is enabled.  A different character may be assigned 
to this function when it is enabled.  This flag is normally enabled. 
.s 
.TP 6 
.i -5; .NO FLAGS SPACE 
.I -5; .NFL SPACE 
.S 
disables the space flag (_#), thus allowing the _# to be used in the text 
without explicitly quoting or accepting it. 
.if hlp;.i-6;3 SPECIAL
.endif hlp
.s.tp6.i-5; .FLAGS SPECIAL [flag]
.i-5; .FL SPECIAL [flag]
.s.x FLAGS SPECIAL
This sets up a single character to trigger an escape sequence.  The flag
is the character desired.  The escape sequence must be defined with
the first character equal to the circumflex (_^).
For example you wish the left square braket ([) to output an escape
sequence for superscripting on most printers. You enter the following commands:
.s.i5; .FLAGS SPECIAL _<
.i5; .DEFINE ESCAPE /_^_</  33,"D"
.p
Once this is done, the left square bracket is no longer printable unless
preceeded by the accept flag (__).
If you do not include a flag character then it turns on processing of
all special flags previously defined.
.s.tp6.i-5; .NO FLAGS SPECIAL [flag]
.i-5; .NFL SPECIAL [flag]
.s.x NO FLAGS SPECIAL
This command turns off a special flag.  If the flag had not been previously
defined by a .FLAGS SPECIAL command Runoff will give you an error message.
If the flag character is omitted, then all special flags are turned off,
until a .FLAGS SPECIAL command is executed.
.eb
.if hlp;.i-6;3 SUBSTITUTE
.endif hlp
.s.tp6.i-5; .FLAGS SUBSTITUTE [new flag] 
.i-5; .FL SUBSTITUTE 
.s.index FLAGS SUBSTITUTE 
enables the dollar sign ($) as a substitution flag.  The dollar sign 
then marks the start of a label which defines a substitution. 
.bb
Eight substitutes are defined when Runoff begins.
These allow you to output the current date or time as part of the text.
.TT 13
Assuming the current date and time is
.c; January 17,1983  15:23:51
The substitutions are:
.lm+5.ts 35.nf
Symbol	Resulting output
$$DATE	17 Jan 83
$$TIME	15:23:51
$$YEAR	1983
$$MONTH	January
$$DAY	17
$$HOURS	15
$$MINUTES	23
$$SECONDS	51
.s.fill.lm-5
The pair of dollar signs ($$) which denote the permanent substitutions
are both redefined if the substitute flag is redefined.  For example
you redefine the substitute flag to be " then to print the date you
must type: ""DATE .
The permanent substitutins may be typed in either lower or upper case letters.
The following are equaly valid: $$DATE $$date $$DaTe and so on.
.eb
.s.tp6.i-5; .NO FLAGS SUBSTITUTE 
.I-5; .NFL SUBSTITUTE 
.S.INDEX NO FLAGS SUBSTITUTE 
disables the dollar sign as a substitute flag.  This flag is normally 
disabled. 
.if hlp;.i-6;3 UNDERLINE
.endif hlp
.S.TP5.I-5; .FLAGS UNDERLINE [new flag] 
.I-5; .FL UNDERLINE [new flag] 
.S.X FLAGS UNDERLINE 
enables recognition of the underline flag (_&).  This is the default 
so you do not normally have to do this. 
.S.I-5; .NO FLAGS UNDERLINE [new flag] 
.I-5; .NFL UNDERLINE [new flag] 
.S.X NO FLAGS UNDERLINE 
disables recognition of the underline flag. 
.if hlp;.i-6;3 UPPERCASE
.endif hlp
.S.I -5; .FLAGS UPPERCASE [new flag] 
.I -5; .FL UPPERCASE [new flag] 
.S.INDEX FLAGS UPPERCASE 
enables the circumflex (_^) to engage upper case shift.  When this is 
enabled the _^ will cause the next character to be capitalized, and _^_^ 
turns off the lower case lock.  If the circumflex is used extensively in 
the text an alternate character may be specified.  This FLAG is normally 
enabled when RUNOFF starts. This flag is also used as a function lock. 
For example putting a circumflex in front of an ampersand (_^_&)
will lock underlining on to allow underlining lines of text.
.tp 5 
.i -5; .NO FLAGS UPPERCASE 
.I -5; .NFL UPPERCASE 
.S 
disables the UPPERCASE FLAG.  The _^ will then not shift text to uppercase. 
